/// <reference types="node" />
/**
 * Utility functions for buffers
 */
export declare class Buffers {
    /**
     * Returns a short string that describes the Unicode BOM (Byte Order Mask)
     * that the given buffer starts with, or `undefined` if the buffer does
     * not contain a BOM
     *
     * @param buffer - The buffer
     * @returns A short description of the BOM, or `undefined`
     * @internal
     */
    static getUnicodeBOMDescription(buffer: Buffer): string | undefined;
    /**
     * Returns whether the given buffer starts with the given sequence
     * of bytes.
     *
     * @param buffer - The buffer
     * @param bytes - The bytes
     * @returns Whether the buffer starts with the given bytes
     * @internal
     */
    private static startsWith;
}
//# sourceMappingURL=Buffers.d.ts.map