/// <reference types="node" />
import { ResourceResolver } from "./ResourceResolver";
/**
 * Implementation of a `ResourceResolver` based on a `TilesetPackage`
 *
 * @internal
 */
export declare class PackageResourceResolver implements ResourceResolver {
    private readonly _basePath;
    private readonly _packageFileName;
    private readonly _package;
    constructor(basePath: string, packageFileName: string, tilesetPackage: any);
    resolveUri(uri: string): string;
    resolveData(uri: string): Promise<Buffer | null>;
    resolveDataPartial(uri: string, maxBytes: number): Promise<Buffer | null>;
    derive(uri: string): ResourceResolver;
}
//# sourceMappingURL=PackageResourceResolver.d.ts.map