/// <reference types="node" />
import { IndexEntry } from "./IndexEntry";
import { TilesetPackage } from "./TilesetPackage";
/**
 * Implementation of a TilesetPackage based on a 3TZ file.
 */
export declare class TilesetPackage3tz implements TilesetPackage {
    /**
     * The file descriptor that was created from the input file
     */
    private fd;
    /**
     * The ZIP index.
     *
     * This is created from the `"@3dtilesIndex1@"` file of a package.
     *
     * It is an array if `IndexEntry` objects, sorted by the MD5 hash,
     * in ascending order.
     */
    private zipIndex;
    /**
     * Default constructor
     */
    constructor();
    getZipIndex(): IndexEntry[] | undefined;
    open(fullInputName: string): void;
    getKeys(): IterableIterator<string>;
    getEntry(key: string): Buffer | undefined;
    close(): void;
}
//# sourceMappingURL=TilesetPackage3tz.d.ts.map