/// <reference types="node" />
import { TilesetPackageBuilder } from "./TilesetPackageBuilder";
/**
 * Implementation of a TilesetPackageBuilder that creates a
 * 3TZ file.
 */
export declare class TilesetPackageBuilder3tz implements TilesetPackageBuilder {
    /**
     * The stream that the data is written to
     */
    private outputStream;
    /**
     * The archive object
     */
    private archive;
    /**
     * The index builder that will be used to generate
     * the `"@3dtilesIndex1@"` file for the package.
     */
    private readonly indexBuilder;
    /**
     * Default constructor
     */
    constructor();
    begin(fullOutputName: string, overwrite: boolean): void;
    addEntry(key: string, content: Buffer): void;
    end(): Promise<void>;
}
//# sourceMappingURL=TilesetPackageBuilder3tz.d.ts.map