/// <reference types="node" />
import { TilesetPackageBuilder } from "./TilesetPackageBuilder";
/**
 * Implementation of a TilesetPackageBuilder that writes into
 * a directory of a file system
 */
export declare class TilesetPackageBuilderFs implements TilesetPackageBuilder {
    /**
     * The name of the output directory
     */
    private fullOutputName;
    /**
     * Whether output files should be overwritten if they
     * already exist.
     */
    private overwrite;
    /**
     * Default constructor
     */
    constructor();
    begin(fullOutputName: string, overwrite: boolean): void;
    addEntry(key: string, content: Buffer): void;
    end(): Promise<void>;
}
//# sourceMappingURL=TilesetPackageBuilderFs.d.ts.map