"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TilesetPackageBuilders = void 0;
const TilesetPackageBuilder3dtiles_1 = require("./TilesetPackageBuilder3dtiles");
const TilesetPackageBuilder3tz_1 = require("./TilesetPackageBuilder3tz");
const TilesetPackageBuilderFs_1 = require("./TilesetPackageBuilderFs");
class TilesetPackageBuilders {
    /**
     * Creates a TilesetPackageBuilder, based on the given
     * file extension
     *
     * @param extension - The extension: '.3tz' or '.3dtiles'
     * or the empty string (for a directory)
     * @returns The TilesetPackageBuilder, or `undefined` if the
     * extension is invalid
     */
    static create(extension) {
        if (extension === ".3tz") {
            return new TilesetPackageBuilder3tz_1.TilesetPackageBuilder3tz();
        }
        if (extension === ".3dtiles") {
            return new TilesetPackageBuilder3dtiles_1.TilesetPackageBuilder3dtiles();
        }
        if (extension === "") {
            return new TilesetPackageBuilderFs_1.TilesetPackageBuilderFs();
        }
        console.log("Unknown package type: " + extension);
        return undefined;
    }
}
exports.TilesetPackageBuilders = TilesetPackageBuilders;
