"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TilesetPackages = void 0;
const TilesetPackage3dtiles_1 = require("./TilesetPackage3dtiles");
const TilesetPackage3tz_1 = require("./TilesetPackage3tz");
const TilesetPackageFs_1 = require("./TilesetPackageFs");
/**
 * Methods related to tileset packages
 */
class TilesetPackages {
    /**
     * Creates a TilesetPackage, based on the given
     * file extension
     *
     * @param extension - The extension: '.3tz' or '.3dtiles'
     * or the empty string (for a directory)
     * @returns The TilesetPackage, or `undefined` if the extension
     * is invalid
     */
    static create(extension) {
        if (extension === ".3tz") {
            return new TilesetPackage3tz_1.TilesetPackage3tz();
        }
        if (extension === ".3dtiles") {
            return new TilesetPackage3dtiles_1.TilesetPackage3dtiles();
        }
        if (extension === "") {
            return new TilesetPackageFs_1.TilesetPackageFs();
        }
        console.log("Unknown package type: " + extension);
        return undefined;
    }
}
exports.TilesetPackages = TilesetPackages;
